// JavaScript Document

/* Fonction JQuery "Fenêtres" */

/**
 *
 * Ouvre une fenêtre de saisie sur clic sur lien (plugin popupWindow)
 *
 * @param id id à surveiller
 * @param largeur largeur de la fenêtre
 * @param hauteur de la fenêtre
 */
function init_fensaisie(id, largeur, hauteur) {
    // On récupère l'URL
    var url;
    var nomfen;
    var $id = $('#' + id);
    if ($id.length > 0) {
        url = $id.href;
        if ((url == '') || (url == undefined)) {
            url = $id.attr('title');
        }
        if ((url == '') || (url == undefined)) {
            url = $id.attr('lnk');
        }
        // On génère le nom de fenêtre à partir de l'attribut "name"
        nomfen = $id.attr('name');
        if (((url != '') && (url != undefined)) && (nomfen != undefined)) {
            $id.on('click', function (event) {
                event.preventDefault();
                $.popupWindow(url, {
                    height: hauteur,
                    width: largeur,
                    scrollbars: true,
                    name: nomfen,
                    center: 'screen'
                });
            });
        }
    }
}

function init_new_window(url, nomfen, largeur, hauteur, scroll) {
    var left;
    var top;
    if (scroll == undefined) {
        scroll = 'no';
    }


    if (url != '') {
        if (largeur == 0) {
            largeur = screen.width;
        }
        if (hauteur == 0) {
            hauteur = screen.height;
        }

        top = (screen.height - hauteur) / 2;
        left = (screen.width - largeur) / 2;
        window.open(url, nomfen, 'width=' + largeur + ', height=' + hauteur + ', left=' + left + ', top=' + top + ', scrollbars=' + scroll).focus();
    }
}

/**
 *
 * Ouverture d'un lien vers nouvelle fenêtre
 *
 * @param id
 * @param url
 * @param idurl
 */
function init_lien_ext(id, url, idurl) {
    if (idurl == undefined) {
        idurl = '';
    }


    $('#' + id).click(function () {
        var val_url = '';

        if (url == '') {
            if (idurl != '') {
                val_url = $('#' + idurl).val();
            }
        }
        else {
            val_url = url;
        }

        if (val_url != '') {
            window.open(val_url, 'flien', 'width=' + screen.width + ', height=' + screen.height).focus();
        }
    });
}

<!-- Affichage nouvelle fenêtre impression-->
function init_fenimp(url, largeur, hauteur) {
    var top;
    var left;
    if (largeur == undefined) {
        largeur = screen.width;
    }
    else {
        left = (screen.width - largeur) / 2;
    }
    if (hauteur == undefined) {
        hauteur = screen.height;
    }
    else {
        top = (screen.height - hauteur) / 2;
    }

    window.open(url, 'impression', 'width=' + largeur + ', height=' + hauteur + ', left=' + left + ', top=' + top).focus();
}


<!-- Affichage nouvelle fenêtre sur clic -->
function init_new_fen(id, nomfen, action, empty, largeur, hauteur) {
    var $id;
    var left;
    var top;
    if (action == undefined) {
        action = 'change';
    }
    if (empty == undefined) {
        empty = true;
    }
    if (largeur == undefined) {
        largeur = screen.width;
    }
    else {
        left = (screen.width - largeur) / 2;
    }
    if (hauteur == undefined) {
        hauteur = screen.height;
    }
    else {
        top = (screen.height - hauteur) / 2;
    }

    $id = $('#' + id);
    switch (action) {
        case 'change' :
            $id.change(function () {
                var val_first;
                var url = $id.val();
                //alert(url);
                if (empty == true) {
                    val_first = $('#' + id + ' option:first').val();
                    $('#' + id).val(val_first);
                    //$(this).find('option:first').attr('selected', 'selected').parent('select');
                }
                if (url != '') {
                    window.open(url, nomfen, 'width=' + largeur + ', height=' + hauteur + ', left=' + left + ', top=' + top).focus();
                }
            });
            break;
        case 'click' :
            $id.click(function () {
                var url = $(this).attr('lnk');
                if (url == undefined) {
                    url = $(this).attr('title');
                }

                if (url != '') {
                    window.open(url, nomfen, 'width=' + largeur + ', height=' + hauteur + ', left=' + left + ', top=' + top).focus();
                }
            });
            break;
        default :
            break;
    }
}

function init_fen_imprim_int(typimp, id, nomfen, largeur, hauteur) {
    var urlpage;
    
    var $id = $('#' + id);
    $id.click(function () {
        var alea;
        var codeint;
        var url;
        var urlco;
        if (typimp== undefined) {
            typimp = 1;
        }

        alea = time();
        codeint = $('#code').val();
        url = 'int_pdf.php?token=' + alea + '&ci=' + codeint + '&rdv=0';
        urlco = '';

        switch (typimp) {
            // Intervention
            case 1 :
                urlco += "&coupc="+ $('#intcoupc').val();
                urlco += "&coupma="+ $('#intcoupman').val();
                break;
            // Intervention version client
            case 2 :
                urlco += '&te=cli';
                break;
            // Intervention avec CGV
            case 3 :
                urlco += '&cgv=ok';
                break;
            default :
                break;
        }

        urlpage = url + urlco;
        init_new_window(urlpage, nomfen, largeur, hauteur, 'yes');
    });

}


function init_fen_ot(id, nomfen, largeur, hauteur) {
    var $id = $('#' + id);
    $id.click(function () {
        var urlpage;
        var val_codeage;
        var urlco;
        var val_idsite;
        var val_codetec;
        var val_agesite;
        var messerr = '';

        var url = $id.attr('title');
        if (url != '') {
            val_codeage = $('#codeage').val();
            if (val_codeage == '') {
                messerr += '<br />Il faut d\'abord choisir une agence gestionnaire du compte.';
            }
            val_agesite = $('#agesite').val();
            if (val_agesite == '') {
                messerr += '<br />Il faut d\'abord choisir une agence gestionnaire du site.';
            }
            val_codetec = $('#codetec').val();
            if ((val_codetec == '') || (val_codetec == '-1')) {
                messerr += '<br />Il faut d\'abord choisir un technicien responsable du dossier.';
            }
            val_idsite = $('#idsite').val();
            if (val_idsite == '') {
                messerr += '<br />Il faut d\'abord choisir un site d\'intervention.';
            }
        }

        if (messerr == '') {
            urlco = '';
            urlco += 'tx=i';
            urlco += '&td=' + $('#td').val();
            urlco += '&ca=' + val_codeage;
            urlco += '&cas=' + $('#agesite').val();
            urlco += '&cc=' + $('#codecli').val();
            urlco += '&ci=' + $('#code').val();
            urlco += '&si=' + val_idsite;
            urlco += '&tr=' + val_codetec;
            urlco += '&co=' + $('#codecocl').val();
            urlco += '&tl=2';
            urlco += '&ord=DES&tri=Code';
            urlpage = 'ot_lst.php?' + urlco;
            init_new_window(urlpage, nomfen, largeur, hauteur, 'yes');
        }
        else {
            warn_txt(messerr);
        }
    });
}

function init_fen_rescocl(id, nomfen, largeur, hauteur) {
    $('#' + id).click(function () {
        var urlpage;
        var val_cocl = $('#codecocl').val();
        if (val_cocl != '') {
            urlpage = 'aff_rescocl.php?cocl=' + val_cocl;
            init_new_window(urlpage, nomfen, largeur, hauteur, 'yes');
        }
    });
}

function init_fen_scli(id, nomfen, largeur, hauteur, from) {
    if (from == undefined) {
        from = 'int';
    }

    $('#' + id).click(function () {
        var urlpage;
        var urlco;
        var $dateddef;
        var val_dateddef;
        var val_codest;
        var $nbot;
        var val_codetec;
        var $codetec;
        var messerr = '';
        var val_codeage = $('#codeage').val();
        if (val_codeage == '') {
            messerr += '<br />Il faut d\'abord choisir une agence gestionnaire du compte client';
        }
        switch (from) {
            case 'int' :
                $nbot = $('#nbot');
                if (($nbot.length) > 0) {
                    if (parseInt($nbot.val()) > 0) {
                        messerr += '<br />Vous avez déjà saisi des bons de travail sous-traitants pour cette intervention et ce site<br />Impossible de changer le site d\'intervention';
                    }
                }
                break;
            case 'ot' :
                val_codest = $('#codest').val();
                if (val_codest == '') {
                    messerr += '<br />Il faut d\'abord choisir un sous-traitant';
                }
                break;
            default :
                break;
        }
        val_codetec = '';
        $codetec = $('#codetec');
        if (($codetec.length) > 0) {
            val_codetec = $codetec.val();
            if (val_codetec == '') {
                messerr += '<br />Il faut d\'abord choisir un technicien responsable du suivi';
            }
        }

        val_dateddef = '';
        $dateddef = $('#dateddef');
        if (($dateddef.length) > 0) {
            val_dateddef = $dateddef.val();
            if (val_dateddef == '') {
                messerr += '<br />Il faut d\'abord choisir une date de début';
            }
        }

        if (messerr == '') {
            urlco = '';
            urlco += 'cc=' + $('#codecli').val();
            urlco += '&td=' + $('#td').val();
            urlco += '&ci=' + $('#code').val();
            urlco += '&si=' + $('#idsite').val();
            urlco += '&dte=' + val_dateddef;
            urlpage = '';
            switch (from) {
                case 'int' :
                    urlco += '&co=' + $('#codecocl').val();
                    urlco += '&ca=' + val_codeage;
                    urlco += '&cas=' + $('#agesite').val();
                    urlco += '&tr=' + val_codetec;
                    urlpage = 'sitesi_lst.php?' + urlco;
                    break;
                case 'ot' :
                    urlco += '&ca=' + val_codeage;
                    urlco += '&tr=' + val_codetec;
                    urlpage = 'siteso_lst.php?' + urlco;
                    break;
                default :
                    break;
            }
            init_new_window(urlpage, nomfen, largeur, hauteur, 1);
        }
        else {
            warn_txt(messerr);
        }
    });
}

function init_fen_scli_ot(id, nomfen, largeur, hauteur, from) {
    if (from == undefined) {
        from = 'int';
    }

    $('#' + id).click(function () {
        var urlpage;
        var urlco;
        var $codetec;
        var val_codetec;
        var val_codest;
        var $nbot;
        var messerr = '';
        var val_codeage = '';
        /*
         val_codeage = $('#codeage').val();
         if (val_codeage == '') {
         messerr+='<br />Il faut d\'abord choisir une agence gestionnaire du compte client';
         }
         */
        switch (from) {
            case 'int' :
                $nbot = $('#nbot');
                if (($nbot.length) > 0) {
                    if (parseInt($nbot.val()) > 0) {
                        messerr += '<br />Vous avez déjà saisi des bons de travail sous-traitants pour cette intervention et ce site<br />Impossible de changer le site d\'intervention';
                    }
                }
                break;
            case 'ot' :
                val_codest = $('#codest').val();
                if (val_codest == '') {
                    messerr += '<br />Il faut d\'abord choisir un sous-traitant';
                }
                break;
            default :
                break;
        }
        val_codetec = '';
        $codetec = $('#codetec');
        if (($codetec.length) > 0) {
            val_codetec = $codetec.val();
            if (val_codetec == '') {
                messerr += '<br />Il faut d\'abord choisir un technicien responsable du suivi';
            }
        }

        if (messerr == '') {
            urlco = '';
            urlco += 'cc=' + $('#codecli').val();
            urlco += '&td=' + $('#td').val();
            urlco += '&ci=' + $('#code').val();
            urlco += '&si=' + $('#idsite').val();
            urlco += '&dte=' + $('#dateddef').val();
            urlpage = '';
            switch (from) {
                case 'int' :
                    urlco += '&co=' + $('#codecocl').val();
                    urlco += '&ca=' + val_codeage;
                    urlco += '&cas=' + $('#agesite').val();
                    urlco += '&tr=' + val_codetec;
                    urlpage = 'sitesi_lst.php?' + urlco;
                    break;
                case 'ot' :
                    urlco += '&ca=' + val_codeage;
                    urlco += '&tr=' + val_codetec;
                    urlpage = 'siteso_lst.php?' + urlco;
                    break;
                default :
                    break;
            }
            init_new_window(urlpage, nomfen, largeur, hauteur, 1);
        }
        else {
            warn_txt(messerr);
        }
    });
}

function init_fen_rpbm(id, nomfen, largeur, hauteur) {
    $('#' + id).click(function () {
        var urlpage;
        var urlco;
        var val_idsite;
        var messerr = '';
        var $codecli = $('#codecli');
        if ($codecli.val() == '') {
            messerr += '<br />Il faut d\'abord choisir un client';
        }

        val_idsite = $('#idsite').val();
        if ((val_idsite == '') || (val_idsite == '-2')) {
            messerr += '<br />Il faut d\'abord choisir un site d\'intervention';
        }

        if (messerr == '') {
            urlco = '';
            urlco += 'cc=' + $codecli.val();
            urlco += '&td=' + $('#td').val();
            urlco += '&ci=' + $('#code').val();
            urlco += '&si=' + val_idsite;
            urlpage = 'rpbm_lst.php?' + urlco;
            init_new_window(urlpage, nomfen, largeur, hauteur);
        }
        else {
            warn_txt(messerr);
        }
    });
}

function init_fen_mat(id, nomfen, largeur, hauteur) {
    $('#' + id).click(function () {
        var urlpage;
        var urlco;
        var messerr = '';
        var val_codecli = $('#codecli').val();
        if (val_codecli == '') {
            messerr += '<br />Il faut d\'abord choisir un client';
        }

        if (messerr == '') {
            urlco = '';
            urlco += 'cc=' + val_codecli;
            urlco += '&td=' + $('#td').val();
            urlco += '&co=' + $('#code').val();
            urlco += '&coa=' + $('#codea').val();
            urlco += '&tx=' + $('#tx').val();
            urlco += '&sp=' + $('#sitep').val();
            urlpage = 'rlp_lst.php?' + urlco;
            init_new_window(urlpage, nomfen, largeur, hauteur, 'yes');
        }
        else {
            warn_txt(messerr);
        }
    });
}

function init_fen_ctact(typ, id, nomfen, largeur, hauteur, from) {
    if (from == undefined) {
        from = 'int';
    }

    $('#' + id).click(function () {
        var urlco;
        var urlpage;
        var messerr = '';
        var val_codecli = $('#codecli').val();
        switch (typ) {
            case 'cli'  :
                if (val_codecli == '') {
                    messerr += '<br />Il faut d\'abord choisir un client';
                }
                break;
            case 'st'  :
                if (val_codecli == '') {
                    messerr += '<br />Il faut d\'abord choisir un sous-traitant';
                }
                break;
            case 'age'  :
                if (val_codecli == '') {
                    messerr += '<br />Il faut d\'abord choisir une agence';
                }
                break;
            default :
                break;
        }

        if (messerr == '') {
            urlpage = '';
            urlco = '';
            urlco += 'td=add';
            urlco += '&tx=' + from;
            urlco += '&cc=' + val_codecli;
            switch (typ) {
                case 'cli'  :
                    urlco += '&is=' + $('#idsite').val();
                    urlpage = 'ccli_maj.php?' + urlco;
                    break;
                case 'st' :
                    urlpage = 'cst_maj.php?' + urlco;
                    break;
                case 'age' :
                    urlpage = 'cage_maj.php?' + urlco;
                    break;
                default :
                    break;
            }
            init_new_window(urlpage, nomfen, largeur, hauteur);
        }
        else {
            warn_txt(messerr);
        }
    });
}

function init_fen_detinth(id, nomfen, largeur, hauteur) {
    $('#' + id).click(function () {
        var urlpage;
        var urlco;
        var messerr = '';

        messerr += chk_chp_ok_int('agesite,codecli,codetec,idsite');

        if (messerr == '') {
            urlco = '';
            urlco += 'ci=' + $('#code').val();
            urlco += '&cc=' + $('#codecli').val();
            urlco += '&co=' + $('#codecocl').val();
            urlco += '&si=' + $('#idsite').val();
            urlco += '&ca=' + $('#codeage').val();
            urlco += '&cas=' + $('#agesite').val();
            /*
             var val_daterdvf = $('#daterdvf').val();
             if (val_daterdvf != '')
             {
             urlco+='&drdv='+val_daterdvf;
             }
             else
             {
             urlco+='&drdv='+$('#dateddef').val();
             }
             */
            urlco += '&tr=' + $('#codetec').val();
            urlco += '&cat=' + $('#codecat').val();
            urlco += '&ac=' + $('#acpte').val();
            // urlco+='&re='+$('#regul').val();

            urlpage = 'inth_maj.php?' + urlco;
            init_new_window(urlpage, nomfen, largeur, hauteur, 'yes');
        }
        else {
            warn_txt(messerr);
            return false;
        }
    });
}

function init_fen_ttpbm(id, urlpage, a_champs, nomfen, largeur, hauteur) {
    $('#' + id).click(function () {
        var affiche_ok;
        if (a_champs) {
            // On vérifie que tous les champs sont remplis
            affiche_ok = true;

            $.each(a_champs, function (key, value) {
                var tab_prm = trimall(value).split(";");
                var tab_nom_chp = trimall(tab_prm[0]).split(":");
                var val_champ = $('#' + tab_nom_chp[1]).val();
                if (val_champ == '') {
                    affiche_ok = false;
                }
            });

            if (affiche_ok == true) {
                init_new_window(urlpage, nomfen, largeur, hauteur);
            }
            else {
                warn_txt('Vous devez compléter tous les champs');
            }
        }
    });
}

function init_fen_detoth(id, nomfen, largeur, hauteur) {
    $('#' + id).click(function () {
        var urlpage;
        var urlco;
        var messerr = '';

        messerr += chk_chp_ok_ot('codetec');

        if (messerr == '') {
            urlco = '';
            urlco += 'co=' + $('#code').val();
            urlco += '&cc=' + $('#codecli').val();
            urlco += '&si=' + $('#idsite').val();
            urlco += '&ca=' + $('#codeage').val();
            /*
             var val_daterdvf = $('#daterdvf').val();
             if (val_daterdvf != '')
             {
             urlco+='&drdv='+val_daterdvf;
             }
             else
             {
             urlco+='&drdv='+$('#dateddef').val();
             }
             */
            urlco += '&tr=' + $('#codetec').val();

            urlpage = 'oth_maj.php?' + urlco;
            init_new_window(urlpage, nomfen, largeur, hauteur);
        }
        else {
            warn_txt(messerr);
            return false;
        }
    });
}

<!-- Fonction pour ouvrir une fenêtre tarif consommables depuis barème location -->
function fen_barloc(typ_mod, id_barloc, id_tcons, id_cons) {
    var val_nextmin;
    if ((parseInt(id_barloc) > 0) && (parseInt(id_cons) > 0)) {
        if ((parseInt(id_cons) > 0) && (parseInt(id_cons) < 3)) {
            val_nextmin = $('#nextmin' + parseInt(id_cons)).val();
            init_new_window('barloctc_maj.php?td=' + typ_mod + '&nbl=' + parseInt(id_barloc) + '&ntc=' + parseInt(id_tcons) + '&nm=' + val_nextmin + '&nc=' + parseInt(id_cons), 'barloc_tc_' + id_barloc, 800, 500, 'yes');
        }
    }
}


function init_fen_barloc(id, typ_mod, val_idbarloc, id_tcons, id_cons) {
    $('#' + id).click(function () {
        var aff_ok;
        if (parseInt(val_idbarloc) > 0) {
            aff_ok = true;
            switch (typ_mod) {
                case 'add' :
                    if ((parseInt(id_cons) < 1) && (parseInt(id_cons) > 2)) {
                        aff_ok = false;
                    }
                    break;
                case 'edit' :
                case 'view' :
                case 'del' :
                    if ((parseInt(id_tcons) <= 0) || ((parseInt(id_cons) < 1) && (parseInt(id_cons) > 2))) {
                        aff_ok = false;
                    }
                    break;
                default :
                    aff_ok = false;
                    break;
            }

            if (aff_ok == true) {
                fen_barloc(typ_mod, val_idbarloc, id_tcons, id_cons);
            }
        }
        else {
            return false;
        }
    });
}

<!-- Fonction pour ouvrir une liste filtrée -->
// nfiltre : numéro du filtre à appliquer
// nmxfiltre : numéro maximum des filtres
function fen_lst_filtre(id, nmxfiltre) {
    var reg;
    var str_reg;
    var idx_fi;
    var i;
    var url_cour;
    var nfiltre = $('#' + id).val();
    if (parseInt(nfiltre) != -1) {
        url_cour = window.location.href;
        if (parseInt(nmxfiltre) >= parseInt(nfiltre)) {
            // Nettoyage des "&fi=xx"
            for (i = parseInt(nmxfiltre); i >= 0; i--) {
                idx_fi = url_cour.indexOf('&fi=' + i);
                if (idx_fi != -1) {
                    str_reg = '(&fi=' + i + ')';
                    reg = new RegExp(str_reg, "gi");
                    url_cour = url_cour.replace(reg, "");
                    break;
                }
            }
            // Rajout du filtre courant
            if (parseInt(nfiltre) >= 0) {
                url_cour = url_cour + "&fi=" + nfiltre;
            }
        }
        window.location.href = url_cour;
    }
}

<!-- Fonction pour ouvrir une liste filtrée -->
// nfiltre : numéro du filtre à appliquer
// nmxfiltre : numéro maximum des filtres
function init_fen_lst_filtre(id, nmxfiltre) {
    $('#' + id).change(function () {
        fen_lst_filtre(id, nmxfiltre);
    });
}


function init_fen_cmque_dosd(id, nomfen, largeur, hauteur) {
    $('#' + id).click(function () {
        var urlpage;
        var urlcmque;
        var messerr = '';
        var val_codemque = $('#mque').val();
        if (val_codemque == '') {
            messerr += '<br />Il faut d\'abord choisir une marque';
        }
        if (messerr == '') {
            urlcmque = '';
            urlcmque += 'td=add';
            urlcmque += '&cm=' + val_codemque;
            urlcmque += '&tx=dosd_cmque';
            urlpage = 'cmque_maj.php?' + urlcmque;
            init_new_window(urlpage, nomfen, largeur, hauteur);
        }
        else {
            warn_txt(messerr);
        }
    });
}


function init_fen_cdo_dosd(id, nomfen, largeur, hauteur) {
    $('#' + id).click(function () {
        var urlpage;
        var urlcdo;
        var messerr = '';
        var val_codedo = $('#do').val();
        if (val_codedo == '') {
            messerr += '<br />Il faut d\'abord choisir un donneur d\'ordres';
        }
        if (messerr == '') {
            urlcdo = '';
            urlcdo += 'td=add';
            urlcdo += '&cd=' + val_codedo;
            urlcdo += '&tx=dosd_cdo';
            urlpage = 'cdo_maj.php?' + urlcdo;
            init_new_window(urlpage, nomfen, largeur, hauteur);
        }
        else {
            warn_txt(messerr);
        }
    });
}

function init_fen_cst_dosd(id, nomfen, largeur, hauteur) {
    $('#' + id).click(function () {
        var urlpage;
        var urlcst;
        var messerr = '';
        var val_codest = $('#st').val();
        if (val_codest == '') {
            messerr += '<br />Il faut d\'abord choisir un sous-traitant';
        }
        if (messerr == '') {
            urlcst = '';
            urlcst += 'td=add';
            urlcst += '&cs=' + val_codest;
            urlcst += '&tx=dosd_cst';
            urlpage = 'cst_maj.php?' + urlcst;
            init_new_window(urlpage, nomfen, largeur, hauteur);
        }
        else {
            warn_txt(messerr);
        }
    });
}


function fen_rloc(typ, nomfen, largeur, hauteur) {
    var urlpage;
    var url;
    if ((typ == 'ret') || (typ == 'del')) {
        url = '';
        url += 'td=' + $('#td').val();
        url += '&dp=' + $('#dp').val();
        url += '&hp=' + $('#hp').val();
        url += '&dr=' + $('#dr').val();
        url += '&hr=' + $('#hr').val();
        urlpage = 'pdtlpl_enr.php?' + url;

        init_new_window(urlpage, nomfen, largeur, hauteur, 'yes');
    }
}

function init_fen_rloc(id, typ, nomfen, largeur, hauteur) {
    $('#' + id).click(function () {
        fen_rloc(typ, nomfen, largeur, hauteur);
    });
}


function fen_penbar_pen(typ_mod, codepen, id_penbar) {
    var val_udec;
    var val_pour;
    var val_nextmin;
    var aff_ok = true;
    switch (typ_mod) {
        case 'add' :
            if ((codepen == '') || (parseInt(id_penbar) != 0)) {
                aff_ok = false;
            }
            break;
        case 'edit' :
        case 'view' :
        case 'del' :
            if (codepen == '') {
                aff_ok = false;
            }
            break;
        default :
            aff_ok = false;
            break;
    }
    if (aff_ok == true) {
        //val_nextmin = $('#nextmin').val();
        val_pour = parseInt($('#pour').val());
        val_udec = $('#udec').val();

        init_new_window('penbar_maj.php?td=' + typ_mod + '&codep=' + codepen + '&npb=' + parseInt(id_penbar) + '&po=' + val_pour + '&ud=' + val_udec, 'penbar_' + codepen, 800, 500, 'yes');
    }
    else {
        return false;
    }
}


function init_fen_penbar_pen(id, typ_mod, codepen, id_penbar) {
    $('#' + id).click(function () {
        alert('ok');
        fen_penbar_pen(typ_mod, codepen, id_penbar);
    });
}


function fen_prev_cli(typ_prev, old_contrat, new_contrat) {
    var mess;
    var aff_ok;
    if (old_contrat == undefined) {
        old_contrat = '';
    }

    if (new_contrat == undefined) {
        new_contrat = '';
    }

    aff_ok = true;
    if (parseInt(typ_prev) != 0) {
        mess = 'Ce client doit être prévenu par ';
        switch (parseInt(typ_prev)) {
            case 1 :
                mess += 'téléphone';
                break;
            case 2 :
                mess += 'fax ou par courrier';
                break;
            case 3 :
                mess += 'SMS';
                break;
            default :
                aff_ok = false;
                break;
        }
        if (aff_ok == true) {
            mess += '<br />' + 'Utilisez le document qui va sortir pour le prévenir';
            if (old_contrat != '') {
                mess += '<br />' + 'IMPORTANT : Le contrat ' + old_contrat + ' est terminé';
            }
            if (new_contrat != '') {
                mess += '<br />' + 'Le contrat ' + new_contrat + ' a été créé en renouvellement';
            }

            pop_txt(mess);

            init_new_window('prev_pdf.php', 0, 0, 'yes');
        }
    }
    else {
        return false;
    }
}


function fen_cons_rloc(typ_mod) {
    var $ridx1;
    var $ridx2;
    var $qci1;
    var $qci2;
    var $didx2;
    var $didx1;
    var qci2;
    var qci1;
    var ridx2;
    var ridx1;
    var didx2;
    var didx1;
    var aff_ok = true;
    switch (typ_mod) {
        case 'ret' :
        case 'del' :
            break;
        default :
            aff_ok = false;
            break;
    }

    if (aff_ok == true) {
        $didx1 = $("#didx1");
        $didx2 = $("#didx2");
        $ridx1 = $("#ridx1");
        $ridx2 = $("#ridx2");
        $qci1 = $("#qci1");
        $qci2 = $("#qci2");
        didx1 = -1;
        if ($didx1.length != 0) {
            didx1 = parseInt($didx1.val());
        }
        didx2 = -2;
        if ($didx2.length != 0) {
            didx2 = parseInt(didx2.val());
        }
        ridx1 = -1;
        if ($ridx1.length != 0) {
            ridx1 = parseInt($ridx1.val());
        }
        ridx2 = -2;
        if ($ridx2.length != 0) {
            ridx2 = parseInt($ridx2.val());
        }
        qci1 = 0;
        if ($qci1.length != 0) {
            qci1 = parseInt($qci1.val());
        }
        qci2 = 0;
        if ($qci2.length != 0) {
            qci2 = parseInt($qci2.val());
        }

        init_new_window('pdtlcl_enr.php?td=' + typ_mod + '&di1=' + didx1 + '&di2=' + didx2 + '&ri1=' + ridx1 + '&ri2=' + ridx2 + '&qc1=' + qci1 + '&qc2=' + qci2, 500, 250, 'yes');
    }
    else {
        return false;
    }
}
